=== debian/control ===
Source: tinyirc
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/tinyirc
Vcs-Git: https://salsa.debian.org/debian/tinyirc.git
Build-Depends: debhelper-compat (= 13), libncurses5-dev
Homepage: https://github.com/nlaredo/tinyirc
Rules-Requires-Root: no

Package: tinyirc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tiny IRC client
 A very small, stripped down IRC client. It doesn't have most of the
 more advanced commands in the ircII family of IRC Clients, nor does
 it have any color, but it works, and it's tiny.
